package hmggirlfront.items;

import java.util.List;

import javax.annotation.Nullable;

import net.minecraft.client.util.ITooltipFlag;
import net.minecraft.entity.Entity;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.stats.StatList;
import net.minecraft.util.ActionResult;
import net.minecraft.util.EnumActionResult;
import net.minecraft.util.EnumHand;
import net.minecraft.util.text.TextComponentTranslation;
import net.minecraft.util.text.TextFormatting;
import net.minecraft.world.World;

public class ItemMissonCard_Story3 extends Item
{
	
	
    public ItemMissonCard_Story3()
    {
        this.maxStackSize = 1;
    }

    public void addInformation(ItemStack stack, @Nullable World worldIn, List<String> tooltip, ITooltipFlag flagIn)
	  {
    	TextComponentTranslation information = new TextComponentTranslation("hmggirlfront.mission.inf.soon.name", new Object[0]);
		tooltip.add(TextFormatting.WHITE + information.getFormattedText());
    	
	  }
    
    public int time = 0;
    public boolean getnpc = false;
    public void onUpdate(ItemStack itemstack, World world, Entity entity, int i, boolean flag) {
		super.onUpdate(itemstack, world, entity, i, flag);
		
	}
    
    public ActionResult<ItemStack> onItemRightClick(World worldIn, EntityPlayer playerIn, EnumHand handIn)
    {
    	ItemStack itemstack = playerIn.getHeldItem(handIn);
    	if(!itemstack.isEmpty()) {
    	}
        playerIn.addStat(StatList.getObjectUseStats(this));
        return new ActionResult(EnumActionResult.SUCCESS, itemstack);
    }
}